Skip to main content
GET
Get project

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer<int64>
required

Project ID

Example:

4

Response

200 - application/json

OK

client_id
integer
required

ID associated with the client.

Example:

1

created_at
string<date-time>
required

Datetime of creation, which is automatically generated.

Example:

"2019-12-31T23:59:59"

deleted_at
string<date-time> | null
required

Datetime of deletion, which is automatically generated if the project is deleted.

Example:

"2020-12-31T23:59:59"

description
string | null
required

Description of the project.

Maximum string length: 255
Example:

"Project description"

id
integer
required

Project ID, which is automatically generated upon creation.

Example:

1

is_default
boolean
required

Indicates if the project is the default one. Each client always has one default project.

Example:

true

name
string
required

Unique project name for a client.

Example:

"default"

state
string
required

The state of the project.

Example:

"ACTIVE"

task_id
string | null
required

The UUID of the active task that currently holds a lock on the resource. This lock prevents concurrent modifications to ensure consistency. If null, the resource is not locked.

Example:

"7244e161-664c-4afd-a34e-7003eac4d949"